package com.fjs.scenic.entity.order;

import com.fjs.scenic.BasePage;

import java.util.Date;

public class Orders  extends BasePage {

    private static final long serialVersionUID = 1L;

    private Integer id;

    private String orderNo;

    private String orderName;

    private Integer totelPrice;

    private String status;

    private Date orderTime;

    private Integer userId;

    private Date payTime;

    private Date playTime;

    private Date refundTime;

    private Integer refundPrice;

    private String distOrderNo;

    private String verifyCode;

    private String buyUserName;

    private String buyIdCard;

    private String buyPhone;
    
    private Integer distTimeId;

    private String field;

    private String param;

    private Integer num;

    private Integer price;

    private String pName;

    private String pPhone;

    private String card;
    
    private String qrcode;
    
    public Orders(Integer id){
    	this.id = id;
    }
    
    public Orders(String orderNo){
    	this.orderNo = orderNo;
    }
    
    private String parkingTime;

    public Orders(Integer id, String orderNo, String orderName, Integer totelPrice, String status, Date orderTime, Integer userId, Date payTime, Date playTime, Date refundTime, Integer refundPrice, String distOrderNo, String verifyCode, String buyUserName, String buyIdCard, String buyPhone, Integer distTimeId, String field, String param, Integer num, Integer price, String pName, String pPhone, String card, String parkingTime) {
        this.id = id;
        this.orderNo = orderNo;
        this.orderName = orderName;
        this.totelPrice = totelPrice;
        this.status = status;
        this.orderTime = orderTime;
        this.userId = userId;
        this.payTime = payTime;
        this.playTime = playTime;
        this.refundTime = refundTime;
        this.refundPrice = refundPrice;
        this.distOrderNo = distOrderNo;
        this.verifyCode = verifyCode;
        this.buyUserName = buyUserName;
        this.buyIdCard = buyIdCard;
        this.buyPhone = buyPhone;
        this.distTimeId = distTimeId;
        this.field = field;
        this.param = param;
        this.num = num;
        this.price = price;
        this.pName = pName;
        this.pPhone = pPhone;
        this.card = card;
        this.parkingTime = parkingTime;
    }

    public Orders() {
        super();
    }

    public String getParkingTime() {
        return parkingTime;
    }

    public void setParkingTime(String parkingTime) {
        this.parkingTime = parkingTime;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getField() {
        return field;
    }

    public void setField(String field) {
        this.field = field;
    }

    public String getParam() {
        return param;
    }

    public Integer getDistTimeId() {
		return distTimeId;
	}

	public void setDistTimeId(Integer distTimeId) {
		this.distTimeId = distTimeId;
	}

	public void setParam(String param) {
        this.param = param;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public Integer getPrice() {
        return price;
    }

    public void setPrice(Integer price) {
        this.price = price;
    }

    public String getpName() {
        return pName;
    }

    public void setpName(String pName) {
        this.pName = pName;
    }

    public String getpPhone() {
        return pPhone;
    }

    public void setpPhone(String pPhone) {
        this.pPhone = pPhone;
    }

    public String getCard() {
        return card;
    }

    public void setCard(String card) {
        this.card = card;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo == null ? null : orderNo.trim();
    }

    public String getOrderName() {
        return orderName;
    }

    public void setOrderName(String orderName) {
        this.orderName = orderName == null ? null : orderName.trim();
    }

    public Integer getTotelPrice() {
        return totelPrice;
    }

    public void setTotelPrice(Integer totelPrice) {
        this.totelPrice = totelPrice;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

    public Date getOrderTime() {
        return orderTime;
    }

    public void setOrderTime(Date orderTime) {
        this.orderTime = orderTime;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public Date getPlayTime() {
        return playTime;
    }

    public void setPlayTime(Date playTime) {
        this.playTime = playTime;
    }

    public Date getRefundTime() {
        return refundTime;
    }

    public void setRefundTime(Date refundTime) {
        this.refundTime = refundTime;
    }

    public Integer getRefundPrice() {
        return refundPrice;
    }

    public void setRefundPrice(Integer refundPrice) {
        this.refundPrice = refundPrice;
    }

    public String getDistOrderNo() {
        return distOrderNo;
    }

    public void setDistOrderNo(String distOrderNo) {
        this.distOrderNo = distOrderNo == null ? null : distOrderNo.trim();
    }

    public String getVerifyCode() {
        return verifyCode;
    }

    public void setVerifyCode(String verifyCode) {
        this.verifyCode = verifyCode == null ? null : verifyCode.trim();
    }

    public String getBuyUserName() {
        return buyUserName;
    }

    public void setBuyUserName(String buyUserName) {
        this.buyUserName = buyUserName == null ? null : buyUserName.trim();
    }

    public String getBuyIdCard() {
        return buyIdCard;
    }

    public void setBuyIdCard(String buyIdCard) {
        this.buyIdCard = buyIdCard == null ? null : buyIdCard.trim();
    }

    public String getBuyPhone() {
        return buyPhone;
    }

    public void setBuyPhone(String buyPhone) {
        this.buyPhone = buyPhone == null ? null : buyPhone.trim();
    }

	public String getQrcode() {
		return qrcode;
	}

	public void setQrcode(String qrcode) {
		this.qrcode = qrcode;
	}
}